Cannot update Operating System from 4.11 to 4.12

Tags: #<Tag:0x00007f327492fa88> #<Tag:0x00007f327492f858>

Hello I run into this error whenever I try to update hassos.

20-09-09 08:31:26 INFO (MainThread) [supervisor.hassos] OTA update is downloaded on /data/tmp/hassos-4.12.raucb
20-09-09 08:31:28 INFO (MainThread) [supervisor.hassos] OTA update is downloaded on /data/tmp/hassos-4.12.raucb
20-09-09 08:31:28 INFO (MainThread) [supervisor.utils.gdbus] Start dbus monitor on de.pengutronix.rauc
20-09-09 08:31:28 ERROR (MainThread) [supervisor.utils.gdbus] DBus return error: Error: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._g_2dio_2derror_2dquark.Code30: rauc installer error
20-09-09 08:31:28 ERROR (MainThread) [supervisor.hassos] Rauc communication error
20-09-09 08:31:28 ERROR (MainThread) [asyncio] Task exception was never retrieved
future: <Task finished name='Task-13183' coro=<HassOS.update() done, defined at /usr/src/supervisor/supervisor/hassos.py:125> exception=HassOSUpdateError()>
Traceback (most recent call last):
  File "/usr/src/supervisor/supervisor/hassos.py", line 140, in update
    await self.sys_dbus.rauc.install(ext_ota)
  File "/usr/src/supervisor/supervisor/utils/gdbus.py", line 186, in call_dbus
    data = await self._send(command)
  File "/usr/src/supervisor/supervisor/utils/gdbus.py", line 229, in _send
    raise DBusFatalError()
supervisor.exceptions.DBusFatalError
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/src/supervisor/supervisor/hassos.py", line 145, in update
    raise HassOSUpdateError() from err
supervisor.exceptions.HassOSUpdateError
20-09-09 08:31:29 INFO (MainThread) [supervisor.utils.gdbus] Stop dbus monitor on de.pengutronix.rauc
20-09-09 08:31:29 INFO (MainThread) [supervisor.utils.gdbus] Stop dbus monitor on de.pengutronix.rauc
20-09-09 08:31:29 ERROR (MainThread) [asyncio] Task exception was never retrieved
future: <Task finished name='Task-969' coro=<HassOS.update() done, defined at /usr/src/supervisor/supervisor/hassos.py:125> exception=FileNotFoundError(2, 'No such file or directory')>
Traceback (most recent call last):
  File "/usr/src/supervisor/supervisor/hassos.py", line 148, in update
    int_ota.unlink()
  File "/usr/local/lib/python3.8/pathlib.py", line 1321, in unlink
    self._accessor.unlink(self)
FileNotFoundError: [Errno 2] No such file or directory: '/data/tmp/hassos-4.12.raucb'
20-09-09 08:31:29 ERROR (MainThread) [asyncio] Task exception was never retrieved
future: <Task finished name='Task-13208' coro=<HassOS.update() done, defined at /usr/src/supervisor/supervisor/hassos.py:125> exception=FileNotFoundError(2, 'No such file or directory')>
Traceback (most recent call last):
  File "/usr/src/supervisor/supervisor/hassos.py", line 148, in update
    int_ota.unlink()
  File "/usr/local/lib/python3.8/pathlib.py", line 1321, in unlink
    self._accessor.unlink(self)
FileNotFoundError: [Errno 2] No such file or directory: '/data/tmp/hassos-4.12.raucb'

Any idea why?

I gave it a second try and it worked.